View Issue Details

IDProjectCategoryView StatusLast Update
0005732Kali Linux[All Projects] Kali Package Bugpublic2019-10-10 11:45
Reporterdarkcast Assigned Torhertzog  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.3 
Target VersionFixed in Version 
Summary0005732: Nautilus breaks after upgrading
Descriptionupdated my kali and it broke nautilus.

I was able to replicate this with a brand new iso of 2019.3 after update, upgrade and didst-upgrade the same error appeared. Looks like its a problem with nautilus.
I tried to install it manually and with synaptic but got this error msg:
nautilus:depends: libgnome-desktop-3-18 (>=3.17.92) but it is not installable recommends: gnome-sushi but it is not going to be installed
Steps To ReproduceInstall on vm, apt update, upgrade and dist-upgrade
Additional InformationWorkaround, install alternative file manager like dolphin and put it on your favorites.

Activities

atdtphreaker

2019-10-08 23:28

reporter   ~0011172

I've same issue.

matthews

2019-10-09 06:02

reporter   ~0011175

Same issue

raditude99

2019-10-09 13:29

reporter   ~0011179

I encountered the same issue as the OP, the workaround we instituted was to downgrade "nautilus" to 3.32.3-1 (the previous version from 8/2019). This was done by downloading the .deb packages from the kali repos. If you go this route, you will want to make sure you hold the package if you do daily updates so not to have the same issue until the dependencies noted by the OP are resolved.

rhertzog

2019-10-10 11:45

administrator   ~0011185

We completed the transition to Gnome 3.34. Should be fixed in kali-rolling now.

Issue History

Date Modified Username Field Change
2019-10-08 17:17 darkcast New Issue
2019-10-08 23:28 atdtphreaker Note Added: 0011172
2019-10-09 06:02 matthews Note Added: 0011175
2019-10-09 13:29 raditude99 Note Added: 0011179
2019-10-10 11:45 rhertzog Assigned To => rhertzog
2019-10-10 11:45 rhertzog Status new => resolved
2019-10-10 11:45 rhertzog Resolution open => fixed
2019-10-10 11:45 rhertzog Note Added: 0011185